name: oasis-dashboard
channels:
  - conda-forge
  - defaults
dependencies:
  - bzip2=1.0.8
  - ca-certificates=2026.2.25
  - libexpat=2.7.4
  - libffi=3.5.2
  - liblzma=5.8.2
  - libsqlite=3.52.0
  - libzlib=1.3.1
  - openssl=3.6.1
  - packaging=26.0
  - pip=26.0.1
  - python=3.11.15
  - setuptools=82.0.1
  - tk=8.6.13
  - ucrt=10.0.26100.0
  - vc=14.3
  - vc14_runtime=14.44.35208
  - vcomp14=14.44.35208
  - wheel=0.46.3
  - pip:
      - aiofiles==25.1.0
      - aiomysql==0.3.2
      - aiosqlite==0.22.1
      - alembic==1.18.4
      - annotated-doc==0.0.4
      - annotated-types==0.7.0
      - anyio==4.12.1
      - ariadne==1.0.0
      - astor==0.8.1
      - asyncpg==0.31.0
      - attrs==25.4.0
      - backoff==2.2.1
      - bcrypt==5.0.0
      - beautifulsoup4==4.14.3
      - cairocffi==1.7.1
      - camel-ai==0.2.78
      - camel-oasis==0.2.5
      - certifi==2026.2.25
      - cffi==2.0.0
      - cfgv==3.5.0
      - chardet==7.0.1
      - charset-normalizer==3.4.5
      - click==8.3.1
      - colorama==0.4.6
      - cryptography==46.0.5
      - dataclasses-json==0.6.7
      - distlib==0.4.0
      - distro==1.9.0
      - docstring-parser==0.17.0
      - emoji==2.15.0
      - fastapi==0.135.2
      - filelock==3.25.1
      - filetype==1.2.0
      - fsspec==2026.2.0
      - graphql-core==3.2.8
      - greenlet==3.3.2
      - h11==0.16.0
      - httpcore==1.0.9
      - httptools==0.7.1
      - httpx==0.28.1
      - httpx-sse==0.4.3
      - huggingface-hub==0.36.2
      - identify==2.6.17
      - idna==3.11
      - igraph==0.11.6
      - iniconfig==2.3.0
      - jinja2==3.1.6
      - jiter==0.13.0
      - joblib==1.5.3
      - jsonschema==4.26.0
      - jsonschema-path==0.3.4
      - jsonschema-specifications==2025.9.1
      - langdetect==1.0.9
      - lazy-object-proxy==1.12.0
      - lxml==6.0.2
      - mako==1.3.10
      - markupsafe==3.0.3
      - marshmallow==3.26.2
      - mcp==1.26.0
      - mpmath==1.3.0
      - mypy-extensions==1.1.0
      - neo4j==6.1.0
      - networkx==3.6.1
      - nltk==3.9.3
      - nodeenv==1.10.0
      - novel-continuator==0.1.0
      - numpy==2.4.3
      - oauthlib==3.3.1
      - openai==1.109.1
      - openapi-schema-validator==0.6.3
      - openapi-spec-validator==0.7.1
      - orjson==3.11.7
      - pandas==2.2.2
      - passlib==1.7.4
      - pathable==0.4.4
      - pillow==10.3.0
      - platformdirs==4.9.4
      - pluggy==1.6.0
      - prance==23.6.21.0
      - pre-commit==3.7.1
      - psutil==5.9.8
      - psycopg==3.3.3
      - psycopg-binary==3.3.3
      - psycopg2==2.9.11
      - pycparser==3.0
      - pydantic==2.12.5
      - pydantic-core==2.41.5
      - pydantic-settings==2.13.1
      - pyjwt==2.11.0
      - pymysql==1.1.2
      - pypdf==6.8.0
      - pypdfium2==5.6.0
      - pytest==8.2.0
      - pytest-asyncio==0.23.6
      - python-dateutil==2.9.0.post0
      - python-discovery==1.1.3
      - python-dotenv==1.2.2
      - python-iso639==2026.1.31
      - python-magic==0.4.27
      - python-multipart==0.0.22
      - pytz==2026.1.post1
      - pywin32==311
      - pyyaml==6.0.3
      - rapidfuzz==3.14.3
      - referencing==0.36.2
      - regex==2026.2.28
      - requests==2.32.5
      - requests-oauthlib==2.0.0
      - requests-toolbelt==1.0.0
      - rfc3339-validator==0.1.4
      - rpds-py==0.30.0
      - ruamel-yaml==0.19.1
      - safetensors==0.7.0
      - scikit-learn==1.8.0
      - scipy==1.17.1
      - sentence-transformers==3.0.0
      - six==1.17.0
      - slack-sdk==3.31.0
      - sniffio==1.3.1
      - soupsieve==2.8.3
      - sqlalchemy==2.0.48
      - sse-starlette==3.3.2
      - starlette==0.52.1
      - sympy==1.14.0
      - tabulate==0.10.0
      - texttable==1.7.0
      - threadpoolctl==3.6.0
      - tiktoken==0.7.0
      - tokenizers==0.22.2
      - torch==2.10.0
      - tqdm==4.67.3
      - transformers==4.57.6
      - typing-extensions==4.15.0
      - typing-inspect==0.9.0
      - typing-inspection==0.4.2
      - tzdata==2025.3
      - unstructured==0.13.7
      - unstructured-client==0.42.10
      - urllib3==2.6.3
      - uvicorn==0.41.0
      - virtualenv==21.2.0
      - watchfiles==1.1.1
      - websockets==15.0.1
      - wrapt==2.1.2
variables:
  OASIS_DB_PATH: ./oasis_simulation.db
  TOKENIZERS_PARALLELISM: 'false'
  PYTORCH_CUDA_ALLOC_CONF: expandable_segments:True
prefix: D:\.conda\envs\oasis-dashboard
